int i;
[ 10 ]int a;

for i = 0; i < 10; i++ do
	a[ i ] = i * i;
end
^int p = a;
for i = 0; i < 10; i++ do
	printf( "%d\n", p[ i ] );
end
for i = 0; i < 10; i++ do
	printf( "%d\n", (p + i)^ );
end
for i = 0; i < 10; i++ do
	printf( "%d\n", (p++)^ );
end
